%set_verify_elf_method unresolved=relaxed

Name: kmymoney2
Version: 0.9.2
Release: alt1.M50.1

Summary: A personal finance manager for KDE
Summary(ru_RU.UTF-8): Учёт финансов под KDE
License: GPL
Group: Office
Vendor: The KMyMoney development team <kmymoney2-developers@lists.sourceforge.net>
URL: http://kmymoney2.sourceforge.net/index-home.html

Packager: Andrey Cherepanov <cas@altlinux.ru>

Source0: kmymoney2-%version.tar.bz2

AutoReq: yes, noperl

#Patch0: kmymoney2-register.patch
#Patch1: kmymoney2-desktop-file-fix.patch
#Patch2: kmymoney2-kbanking-fix.patch
#Patch3: kmymoney2-plugins-build.patch

%set_automake_version 1.10

BuildPreReq: menu-devel desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: kdelibs-devel libqt3-devel libpng-devel libjpeg-devel libaqbanking-devel libxml2-devel cppunit-devel libOpenSP-devel libofx-devel >= 0.9.0
BuildRequires: libxml++2-devel libcurl-devel
Requires: lib%name = %version-%release
Provides: %name = %version-%release

%description
KMyMoney2 provides a simple but functional personal finance
manager for KDE.
For the most up-to-date information and sources please
use the CVS repository available at http://kmymoney2.sourceforge.net/.

%package -n lib%name
Summary: Shared libraries for KMyMoney2
Group: System/Libraries
Requires: %name = %version-%release

%description -n lib%name
This package provides shared libraries for KMyMoney2 application.

%package devel
Summary: Header files for %name plugin development
Group: Development/KDE and QT
Requires: kmymoney2

%description devel
Header files for %name plugin development

%prep
%setup -q -n %name-%version
#%%patch0 -p1
#%%patch1 -p1
#%%patch2 -p1
#%%patch3 -p1
subst "s/\.la/.so/g" ./configure

%build
#sh ./admin/cvs.sh dist
#autoreconf -fisv
#aclocal --force --verbose
#automake -fv
#make -f admin/Makefile.common
%configure \
	--with-qt-libraries=%_libdir/qt3/lib \
	--enable-qtdesigner \
	--enable-pdf-docs \
	--enable-ofxplugin \
	--enable-ofxbanking \
	--enable-new-ldflags
#	--enable-kbanking 
#	--enable-charts \

%make_build

%install
%makeinstall_std 

%find_lang --with-kde --with-man %name

%files -f %name.lang
%doc README README.Fileformats AUTHORS TODO INSTALL COPYING
%_bindir/*
%_datadir/apps/kmymoney2
%_datadir/mimelnk/application/*
%_datadir/services/*.desktop
%_datadir/servicetypes/*
%_datadir/applications/kde/*
%_datadir/apps/kmm_ofximport/kmm_ofximport.rc
%_datadir/config.kcfg/kmymoney2.kcfg
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/16x16/mimetypes/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/32x32/mimetypes/*
%_datadir/icons/hicolor/48x48/mimetypes/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/hicolor/64x64/apps/*
%_datadir/icons/hicolor/64x64/mimetypes/*
%_datadir/icons/hicolor/128x128/apps/*
%_datadir/icons/hicolor/128x128/mimetypes/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*

%files -n lib%name
%_libdir/*.so*
%_libdir/kde3/*.so
%_libdir/kde3/*.la
%_libdir/qt3/plugins/designer/*.so

%files devel
%dir %_includedir/kmymoney
%_includedir/kmymoney/*.h

%changelog
* Mon Feb 16 2009 Andrey Cherepanov <cas@altlinux.org> 0.9.2-alt1.M50.1
- Fix russian account template (bug #18833) 
- Remove deprecated update-desktop-database, update-menus and ldconfig macros 

* Thu Sep 25 2008 Andrey Cherepanov <cas@altlinux.ru> 0.9.2-alt1
- new version 0.9.2

* Sun May 04 2008 Andrey Cherepanov <cas@altlinux.ru> 0.8.9-alt2
- Disable internal KBanking plugin (see http://sourceforge.net/project/shownotes.php?group_id=4708&release_id=586664)

* Wed Apr 02 2008 Andrey Cherepanov <cas@altlinux.ru> 0.8.9-alt1
- Version 0.8.9
- Fix Exec= value according Freedesktop.org standard in desktop file

* Fri Feb 08 2008 Andrey Cherepanov <cas@altlinux.ru> 0.8.8-alt1
- Fix build number for branch

* Tue Dec 25 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.8-alt0
- Version 0.8.8

* Fri Oct 12 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.7-alt0
- Version 0.8.7

* Fri May 25 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.6-alt4
- Fix Russian translation.
- Separated package:
  + lib%name: libraries

* Thu May 10 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.6-alt3
- Fix build (update menus). Fix requires for kmymoney2-devel.

* Mon May 07 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8.6-alt2
- New version
- Fix Russian translation and template

* Mon Jan 29 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.8.6-alt1
- New version (cvs20070129)

* Wed Oct 25 2006 Andrew Kornilov <hiddenman@altlinux.ru> 0.8.5-alt1
- New version
- Spec cleanups
- Developement files are in the devel package now

* Mon Aug 22 2005 Igor Muratov <migor@altlinux.org> 0.8-alt0
- first build for ALT

* Sat Jul 30 2005 <ch.nolte@fh-wolfenbuettel.de>
- Version 0.7.5

* Mon Jul 25 2005 <ch.nolte@fh-wolfenbuettel.de>
- Update for version 0.7.4
- CVS-Version 0.7.5

* Sat Jul 9 2005 <ch.nolte@fh-wolfenbuettel.de>
- migrated to Fedora Core 4
- added gpg-patch

* Thu Jan 9 2003 - ipwizard (at) user.sourcforge.net
- Added missing files home.html and kmymoney2.css

* Mon Dec 16 2002 - ipwizard (at) user.sourcforge.net
- Removed make command only required for CVS download
- Update version to match filename

* Sun Dec 15 2002 - ipwizard (at) user.sourcforge.net
- Updated for version 0.51

* Tue Jan 15 2002 - ipwizard (at) user.sourcforge.net
- Initial implementation
